package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 课程评价方式权重详情
 * @Author: CaoZixuan
 * @Date: 2024-03-01
 */
public class CourseWeightDetailDto {

    @ApiModelProperty("评价方式id")
    private Long evaluationId;

    @ApiModelProperty("评价方式名称")
    private String evaluationName;

    @ApiModelProperty("是否启用")
    private Boolean enable;

    @ApiModelProperty("权重")
    private BigDecimal weight;

    @ApiModelProperty("目标分值")
    private BigDecimal targetScore;

    public Long getEvaluationId() {
        return evaluationId;
    }

    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    public String getEvaluationName() {
        return evaluationName;
    }

    public void setEvaluationName(String evaluationName) {
        this.evaluationName = evaluationName;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public BigDecimal getTargetScore() {
        return targetScore;
    }

    public void setTargetScore(BigDecimal targetScore) {
        this.targetScore = targetScore;
    }
}
