package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 平时成绩分数图dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UsualScoreOverviewDto implements Serializable {

    @ApiModelProperty(value = "作业名称")
    private String name;

    @ApiModelProperty(value = "最高分")
    private Double maxScore;

    @ApiModelProperty(value = "最低分")
    private Double minScore;

    @ApiModelProperty(value = "平均分")
    private Double avgScore;

    @ApiModelProperty(value = "总分")
    private Double sumScore;

    public UsualScoreOverviewDto() {

    }

    public UsualScoreOverviewDto(String name, Double maxScore, Double minScore, Double avgScore, Double sumScore) {
        this.name = name;
        this.maxScore = maxScore;
        this.minScore = minScore;
        this.avgScore = avgScore;
        this.sumScore = sumScore;
    }

    public Double getSumScore() {
        return sumScore;
    }

    public void setSumScore(Double sumScore) {
        this.sumScore = sumScore;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }
}
